Members
/lmp/api/v1/clients/{clientId}/members
List members of a client organization
Returns a paginated list of members of the specified client organization. A member's status is new until the member signs in with that email after being added, at which point it becomes active.
Parameters
Parameter | Type | Description |
|---|---|---|
|
| Required. |
|
| — |
|
| Page number. |
|
| Page size (max 300). Default is 100. |
|
| Sort field. Prefix with - for descending. |
|
| Filter members by membership status. |
clientId
Type
stringDescription
Required.
root
Type
objectDescription
—
p
Type
numberDescription
Page number.
l
Type
numberDescription
Page size (max 300). Default is 100.
s
Type
"createdAt" | "-createdAt"Description
Sort field. Prefix with - for descending.
status
Type
"new" | "active"Description
Filter members by membership status.
Responses
Status | Description |
|---|---|
| Paginated list of members. |
| Validation error. Possible error codes: partnerOrganization.member.status.invalid (status is not one of the supported membership statuses). |
| Missing or invalid API key. |
| API key is valid but the organization is not allowed to access the API. |
| Client organization not found or does not belong to this partner. |
200
Description
Paginated list of members.
400
Description
Validation error. Possible error codes: partnerOrganization.member.status.invalid (status is not one of the supported membership statuses).
401
Description
Missing or invalid API key.
403
Description
API key is valid but the organization is not allowed to access the API.
404
Description
Client organization not found or does not belong to this partner.
/lmp/api/v1/clients/{clientId}/members
Add a member to a client organization
Adds a member by email to the specified client organization. The first member added to an organization is automatically set as the owner. A member's status is new until the member signs in with that email after being added, at which point it becomes active.
Parameters
Parameter | Type | Description |
|---|---|---|
|
| Required. |
clientId
Type
stringDescription
Required.
Request body
Field | Type | Description |
|---|---|---|
|
| Required. |
email
Type
string <email>Description
Required.
Responses
Status | Description |
|---|---|
| Member added. |
| Validation error. Possible error codes: partnerOrganization.member.alreadyExists (email already a member of this organization). |
| Missing or invalid API key. |
| API key is valid but the organization is not allowed to access the API. |
| Client organization not found or does not belong to this partner. |
201
Description
Member added.
400
Description
Validation error. Possible error codes: partnerOrganization.member.alreadyExists (email already a member of this organization).
401
Description
Missing or invalid API key.
403
Description
API key is valid but the organization is not allowed to access the API.
404
Description
Client organization not found or does not belong to this partner.
/lmp/api/v1/clients/{clientId}/members/owner
Get owner of a client organization
Returns the owner member of the specified client organization. A member's status is new until the member signs in with that email after being added, at which point it becomes active.
Parameters
Parameter | Type | Description |
|---|---|---|
|
| Required. |
clientId
Type
stringDescription
Required.
Responses
Status | Description |
|---|---|
| Owner member details. |
| Missing or invalid API key. |
| API key is valid but the organization is not allowed to access the API. |
| Client organization not found, does not belong to this partner, or has no owner. |
200
Description
Owner member details.
401
Description
Missing or invalid API key.
403
Description
API key is valid but the organization is not allowed to access the API.
404
Description
Client organization not found, does not belong to this partner, or has no owner.
/lmp/api/v1/clients/{clientId}/members/{accountId}
Get a member of a client organization by account ID
Returns details of a specific member of the client organization. A member's status is new until the member signs in with that email after being added, at which point it becomes active.
Parameters
Parameter | Type | Description |
|---|---|---|
|
| Required. |
|
| Required. |
clientId
Type
stringDescription
Required.
accountId
Type
stringDescription
Required.
Responses
Status | Description |
|---|---|
| Member details. |
| Missing or invalid API key. |
| API key is valid but the organization is not allowed to access the API. |
| Client organization or member not found. |
200
Description
Member details.
401
Description
Missing or invalid API key.
403
Description
API key is valid but the organization is not allowed to access the API.
404
Description
Client organization or member not found.
/lmp/api/v1/clients/{clientId}/members/{accountId}
Remove a member from a client organization
Removes a member from the specified client organization. Removing the owner is not permitted (errorCode: partnerOrganization.member.removeOwner).
Parameters
Parameter | Type | Description |
|---|---|---|
|
| Required. |
|
| Required. |
clientId
Type
stringDescription
Required.
accountId
Type
stringDescription
Required.
Responses
Status | Description |
|---|---|
| Member removed. |
| Business constraint violated. Possible error codes: partnerOrganization.member.removeOwner (cannot remove the owner of an organization). |
| Missing or invalid API key. |
| API key is valid but the organization is not allowed to access the API. |
| Client organization or member not found. |
204
Description
Member removed.
400
Description
Business constraint violated. Possible error codes: partnerOrganization.member.removeOwner (cannot remove the owner of an organization).
401
Description
Missing or invalid API key.
403
Description
API key is valid but the organization is not allowed to access the API.
404
Description
Client organization or member not found.